.nad-branch-edges .nad-edge-path, .nad-3wt-edges .nad-edge-path {stroke: var(--nad-vl-color, lightgrey); stroke-width: 5; fill: none}
.nad-branch-edges .nad-winding, .nad-3wt-nodes .nad-winding {stroke: var(--nad-vl-color, lightgrey); stroke-width: 5; fill: none}
.nad-text-edges {stroke: black; stroke-width: 3; stroke-dasharray: 6,7}
.nad-disconnected .nad-edge-path {stroke-dasharray: 10,10}
.nad-vl-nodes .nad-busnode {fill: var(--nad-vl-color, lightblue)}
.nad-vl-nodes circle.nad-unknown-busnode {stroke: lightgrey; stroke-width: 5; stroke-dasharray: 5,5; fill: none}
.nad-hvdc-edge polyline.nad-hvdc {stroke: grey; stroke-width: 40}
.nad-dangling-line-edge {fill: var(--nad-vl-color, lighgrey)}
.nad-pst-arrow {stroke: #6a6a6a; stroke-width: 4; stroke-linecap: round; fill: none}
.nad-state-out .nad-arrow-in {visibility: hidden}
.nad-state-in .nad-arrow-out {visibility: hidden}
.nad-active path {stroke: none; fill: #546e7a}
.nad-active {visibility: visible}
.nad-reactive {visibility: hidden}
.nad-reactive path {stroke: none; fill: #0277bd}
.nad-text-background {flood-color: #90a4aeaa}
.nad-text-nodes {font: 25px serif; fill: black; dominant-baseline: central}
.nad-text-nodes foreignObject {overflow: visible; color: black}
.nad-label-box {background-color: #6c6c6c20; width: max-content; padding: 10px; border-radius: 10px;}
.nad-edge-infos text, .nad-edge-label text {font: 20px serif; dominant-baseline:middle; stroke: #FFFFFFAA; stroke-width: 10; stroke-linejoin:round; paint-order: stroke}
.nad-edge-infos .nad-state-in text {fill: #b71c1c}
.nad-edge-infos .nad-state-out text {fill: #2e7d32}
.nad-vl0to30 {--nad-vl-color: #AFB42B}
.nad-vl30to50 {--nad-vl-color: #EF9A9A}
.nad-vl50to70 {--nad-vl-color: #9C27B0}
.nad-vl70to120 {--nad-vl-color: #E65100}
.nad-vl120to180 {--nad-vl-color: #00ACC1}
.nad-vl180to300 {--nad-vl-color: #2E7D32}
.nad-vl300to500 {--nad-vl-color: #D32F2F}
.nad-branch-edges .nad-overload .nad-edge-path {animation: line-blink 3s infinite}
.nad-vl-nodes .nad-overvoltage {animation: node-over-blink 3s infinite}
.nad-vl-nodes .nad-undervoltage {animation: node-under-blink 3s infinite}

@keyframes line-blink {
  0%, 80%, 100% {stroke: var(--nad-vl-color, black); stroke-width: 5}
  40% {stroke: #FFEB3B; stroke-width: 15}
}
@keyframes node-over-blink {
  0%, 80%, 100% {stroke: white; stroke-width: 0}
  40% {stroke: #ff5722; stroke-width: 15}
}
@keyframes node-under-blink {
  0%, 80%, 100% {stroke: white; stroke-width: 0}
  40% {stroke: #00BCD4; stroke-width: 15}
}
